import { Factory } from '../types';
import { ILifetime } from './ILifetime';
import { ServiceProvider } from '../ServiceProvider';
export declare class Transient<T, E> implements ILifetime<T, E> {
    readonly name: string;
    readonly factory: Factory<T, Required<E>>;
    constructor(name: string, factory: Factory<T, Required<E>>);
    provide(provider: ServiceProvider<Required<E>>): T;
}
